/* class comment */!!

inherit(ProvidedLibs, #SRecLoaderLib, nil, 2, nil)!!

now(class(SRecLoaderLib))!!

/* semiPRIVATE -- should only be called via require(SymbolLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise(new(self:ancestor), path);
}!!

now(SRecLoaderLib)!!

/* PRIVATE
   Define all entry points for library as prototypes.
*/
Def addImportProcs(self)
{
  add( self, #INITCSERVER,      1, #(0, 0)       );
}!!

/* 06/20/92 - PRIVATE 
   Open and initialize library
*/
Def initialise(self, path | lib)
{
  lib := initialise(self:ancestor, path);  
  ^lib;
}
!!
